# Class MainPopupResourceBundle

java.lang.Object
org.jmol.popup.PopupResource
org.jmol.popup.MainPopupResourceBundle

public class MainPopupResourceBundle extends PopupResource

## Field Summary

### Fields inherited from class PopupResource

`structure, words`

## Constructor Summary

Constructors
Constructor
Description
`MainPopupResourceBundle(String menuStructure, Properties menuText)`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`buildStructure(String menuStructure)`
`String`
`getMenuAsText(String title)`
`String`
`getMenuName()`
`protected String[]`
`getWordContents()`

### Methods inherited from class PopupResource

`addItems, getStuctureAsText, setStructure`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MainPopupResourceBundle

public MainPopupResourceBundle(String menuStructure, Properties menuText)

## Method Details

### getMenuName

public String getMenuName()

Specified by:
  `getMenuName` in class `PopupResource`

### buildStructure

protected void buildStructure(String menuStructure)

Specified by:
  `buildStructure` in class `PopupResource`

### getWordContents

protected String[] getWordContents()

Specified by:
  `getWordContents` in class `PopupResource`

### getMenuAsText

public String getMenuAsText(String title)

Specified by:
  `getMenuAsText` in class `PopupResource`